#!/bin/bash

accelerate launch --config_file configs/accelerate_configs/deepspeed_zero2.yaml train.py \
    --dataset_name chem \
    --use_peft \
    --peft_type LORA \
    --model_name_or_path Qwen/Qwen2-VL-7B-Instruct \
    --lora_target_modules .\*proj.\*\|.\*fc.\*\|.\*mlp\.0\|.\*mlp\.2 \
    --lora_r 8 \
    --lora_alpha 32 \
    --per_device_train_batch_size 2 \
    --per_device_eval_batch_size 2 \
    --gradient_accumulation_steps 4 \
    --output_dir checkpoint/qwen2_alllinear/ \
    --learning_rate 1e-4 \
    --bf16 \
    --torch_dtype bfloat16 \
    --logging_steps 30 \
    --gradient_checkpointing \
    --weight_decay 0.1